footer {
    background: var(--footer_bg);
    margin-top: 100px;
    box-shadow: 0 2px 10px 2px var(--footer_shadow);
    bottom: 0px;
    padding: 20px;

    a {
        color: var(--body_color_1);
        text-decoration: none;
        line-height: 30px;
        border: none;
        padding: 5px 10px;
        border-radius: 6px;
        background: linear-gradient(90deg, var(--purple_gradient_1) 0px, var(--purple_gradient_2)) bottom no-repeat;
        background-size: 100% 0px;
        transition: background-size 0.1s, box-shadow 0.0s;

        &:hover,
        &:focus {
            color: var(--body_color_2);
            background-size: 100% 100%;
            text-decoration: none;
            box-shadow: 0px 0px 25px 0px var(--purple_shadow_1);
            transition: background-size 0.1s, color 0.1s, box-shadow 0.4s;
        }
    }

    p {
        margin-top: 10px;
        margin-bottom: 10px;
    }

    h3 {
        margin-bottom: 0px;
    }

    .flexfooter {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-around;
    }

    .colfooter {
        padding: 10px;
        width: 100%;
        max-width: 400px;
    }

    .copyright {
        font-family: 'open-sans', 'arial';
        text-align: center;
        margin-top: 5px;
        font-size: 15px;
        filter: brightness(1.3);
    }
}
